Bug 1342896 (CVE-2016-2829) - CVE-2016-2829 Mozilla: Incorrect icon displayed on permissions notifications (MFSA 2016-57)
Summary: CVE-2016-2829 Mozilla: Incorrect icon displayed on permissions notifications ...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2016-2829
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1335788
TreeView+ depends on / blocked
 
Reported: 2016-06-06 04:16 UTC by Huzaifa S. Sidhpurwala
Modified: 2021-02-17 03:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-09 03:11:03 UTC


Attachments (Terms of Use)

Description Huzaifa S. Sidhpurwala 2016-06-06 04:16:07 UTC
Security researcher Tim McCormack reported that when a page requests a series of permissions in a short timespan, the resulting permission notifications can show the icon for the wrong permission request. This can lead to user confusion and inadvertent consent given when a user is prompted by web content to give permissions, such as for geolocation or microphone access. 


External Reference:

https://www.mozilla.org/security/announce/2016/mfsa2016-57.html


Acknowledgements:

Name: the Mozilla project
Upstream: Tim McCormack

Statement:

This issue does not affect the version of firefox and thunderbird as shipped with Red Hat Enterprise Linux 5, 6 and 7.


Note You need to log in before you can comment on or make changes to this bug.